Open Infrastructure - Task #6946
Task # 6557 (Closed): Rebuild the whole DCL infrastructure - aka place9

Setup the other side of the arista switches
07/10/2019 06:52 PM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Il nu % Done:
Category: Estimated time:

Target version:
PM Check date:

07/10/2019

0%
0.00 hour

Description

History

#1 - 07/24/2019 05:43 PM - Il nu

- Assignee changed from Nico Schottelius to Il nu

To disable router advertisements on an interface :

® ipv6 nd ra suppress all

current switch1-place9 config:

show run

I Command: show running-config

I device: switch1-place9 (DCS-7050S-52, EOS-4.18.6M-2GB)
!

I boot system flash:/EOS-2GB-4.18.6M.swi
!

transceiver gsfp default-mode 4x10G
|

hostname switch1-place9
!
spanning-tree mode mstp
|

no aaa root
|

username admin role network-admin secret sha512 $6$02BZ/XuGd5r3/2bm$obv0cSelr7dBYFt9hep901

!

vlan 8

name ungleich-transfer
!

vlan 10

name place6-intern

!

vlan 11

name place6-server

!

vlan 13

name mlag-aristas
trunk group mlag-aristas
|

vlan 15

name place6-coworking

|

interface Port-Channel47
switchport mode trunk

switchport trunk group mlag-aristas
|

interface Port-Channel51

mlag 51

!

interface Ethernet1
interface Ethernet2
!

interface Ethernet3
|

interface Ethernet4
|

interface Ethernet5
|

interface Ethernet6
|

interface Ethernet7
|

interface Ethernet8
|

interface Ethernet9
|

interface Ethernet10
|

interface Ethernet11
|

interface Ethernet12
|

interface Ethernet13
|

interface Ethernet14
|

interface Ethernet15
|

interface Ethernet16
|

interface Ethernet17
!

interface Ethernet18
|

interface Ethernet19
|

interface Ethernet20
!

interface Ethernet21
|

interface Ethernet22
|

interface Ethernet23
|

interface Ethernet24
|

interface Ethernet25
|

interface Ethernet26
!

interface Ethernet27
|

interface Ethernet28
|

interface Ethernet29
|

interface Ethernet30
|

interface Ethernet31
|

interface Ethernet32
!

interface Ethernet33
|

interface Ethernet34
|

interface Ethernet35
!

interface Ethernet36
|

interface Ethernet37
|

interface Ethernet38
|
interface Ethernet39
|

interface Ethernet40
|

interface Ethernet41
!
interface Ethernet42
|

interface Ethernet43
|

interface Ethernet44
|
interface Ethernet45
|

interface Ethernet46

!

interface Ethernet47
channel-group 47 mode active
!

interface Ethernet48
channel-group 47 mode active
|

interface Ethernet49

!

interface Ethernet50

|

interface Ethernet51
channel-group 51 mode active
!

interface Ethernet52
channel-group 51 mode active
|

interface Management1

!

interface Vlan1

ipv6 address 2a0a:e5c0:1:7::27/64
ipv6 nd ra suppress all

!

interface Vlan13

no autostate

ip address 10.3.4.27/24

!

ip routing

|

ipv6 unicast-routing

!

mlag configuration

domain-id place9-west

local-interface Vlan13

peer-address 10.3.4.28

peer-link Port-Channel47

!

router bgp 209898

router-id 0.0.0.27

bgp default ipv6-unicast

maximum-paths 4

bgp listen range 2a0a:e5c0:1:8::/64 peer-group ungleich remote-as 2098
neighbor ungleich peer-group

neighbor ungleich maximum-routes 12000
|

end

#2 - 07/24/2019 10:41 PM - Il nu
on both :

$1=1and 15

interface Ethernet$1
channel-group $1 mode active

interface Port-Channel$1
mlag $1

#3 - 07/24/2019 10:42 PM - Il nu
bond ond devuan started to work after i gave up and started confing alpine, i might setup the radvd there but the interface numbers are changing eth6
moved to eth2.. :0

#4 - 08/22/2019 12:08 PM - Il nu

- Status changed from In Progress to Closed

I Command: show running-config
I device: switch1-place9 (DCS-7050S-52, EOS-4.18.6M-2GB)
|

I boot system flash:/EOS-2GB-4.18.6M.swi
!

transceiver gsfp default-mode 4x10G
!

Hostname switch1-place9

|

épanning—tree mode mstp

|

ﬁo aaa root

|

Ljsername admin role network-admin secret sha512
$63yAE7GBCyLsKd./9h$C9ABd4tLgsbZ7UI06ZBRfa/W3cADJkeSCGHFRgpjxldwyhaowH8TbhZhsCAluvBDg2qEASKRGSRMQcIThLjRCTH
|

vlan 8

name ungleich-transfer
|

vlan 10

name place6-intern

!

vlan 11

name place6-server

|

vlan 13

name mlag-aristas
trunk group mlag-aristas
!

vlan 15

name place6-coworking
!

vlan 21

name place6-place9

|

vlan 22

name place9-internal

!

interface Port-Channel1
switchport mode trunk
mlag 1

!

interface Port-Channel2
switchport mode trunk
mlag 2

|

interface Port-Channel3
switchport mode trunk
mlag 3

|

interface Port-Channel4
switchport mode trunk
mlag 4

!

interface Port-Channel5
switchport mode trunk
mlag 5

!

interface Port-Channel6
switchport mode trunk
mlag 6

!

interface Port-Channel7
switchport mode trunk
mlag 7

!

interface Port-Channel8
switchport mode trunk
mlag 8

!

interface Port-Channel9
switchport mode trunk
mlag 9

|

interface Port-Channel10
switchport mode trunk
mlag 10

|

interface Port-Channel11
switchport mode trunk
mlag 11

|

interface Port-Channel12
switchport mode trunk
mlag 12

!

interface Port-Channel13
switchport mode trunk
mlag 13

!

interface Port-Channel14
switchport mode trunk
mlag 14

|

interface Port-Channel15
switchport mode trunk
mlag 15

!

interface Port-Channel16
switchport mode trunk
mlag 16

!

interface Port-Channel47
switchport mode trunk

switchport trunk group mlag-aristas

interface Port-Channel51
switchport access vlan 21
mlag 51

!

interface Ethernet1
channel-group 1 mode active
!

interface Ethernet2
channel-group 2 mode active
|

interface Ethernet3
channel-group 3 mode active
|

interface Ethernet4
channel-group 4 mode active
!

interface Ethernet5
channel-group 5 mode active
|

interface Ethernet6
channel-group 6 mode active
|

interface Ethernet7
channel-group 7 mode active
!

interface Ethernet8
channel-group 8 mode active
!

interface Ethernet9
channel-group 9 mode active
!

interface Ethernet10
channel-group 10 mode active
!

interface Ethernet11

channel-group 11 mode active
!
interface Ethernet12
channel-group 12 mode active
!

interface Ethernet13
channel-group 13 mode active
|

interface Ethernet14
channel-group 14 mode active
|

interface Ethernet15
channel-group 15 mode active
!

interface Ethernet16
channel-group 16 mode active
|

interface Ethernet17
|

interface Ethernet18
|

interface Ethernet19
!

interface Ethernet20
|

interface Ethernet21
|

interface Ethernet22
!

interface Ethernet23
|

interface Ethernet24
|

interface Ethernet25
!

interface Ethernet26
|

interface Ethernet27
|

interface Ethernet28
!

interface Ethernet29
|

interface Ethernet30
|

interface Ethernet31
|

interface Ethernet32
|

interface Ethernet33
|

interface Ethernet34
!

interface Ethernet35
|

interface Ethernet36
|

interface Ethernet37
!

interface Ethernet38
|

interface Ethernet39
|

interface Ethernet40
!

interface Ethernet41
|

interface Ethernet42
|

interface Ethernet43
!

interface Ethernet44
|

interface Ethernet45
|

interface Ethernet46
|
interface Ethernet47
channel-group 47 mode active
!

interface Ethernet48
channel-group 47 mode active
|

interface Ethernet49
|

interface Ethernet50

!

interface Ethernet51
channel-group 51 mode active
|

interface Ethernet52
channel-group 51 mode active
|

interface Management1

!

interface Vlan13

no autostate

ip address 10.3.4.27/24

|

interface Vlan21

ipv6 address 2a0a:e5c0:1:7::27/64
!

ip routing
!

ipv6 unicast-routing

|

mlag configuration
domain-id place9-west
local-interface Vlan13
peer-address 10.3.4.28
peer-link Port-Channel47
|

end

current setup
